| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::PageStrategyData Class Referenceabstract
Optional Components » Paging

Abstract marker class representing the data held against the PagedWorldSection which is specifically used by the PageStrategy. More...

`#include <OgrePageStrategy.h>`

Inheritance diagram for Ogre::PageStrategyData:
[legend]

## Public Member Functions
| PageStrategyData ()
virtual | ~PageStrategyData ()
virtual bool | load (StreamSerialiser &stream)=0
| Load this data from a stream (returns true if successful) More...
virtual void | save (StreamSerialiser &stream)=0
| Save this data to a stream. More...

## Detailed Description

Abstract marker class representing the data held against the PagedWorldSection which is specifically used by the PageStrategy.

## Constructor & Destructor Documentation

## ◆ PageStrategyData()

Ogre::PageStrategyData::PageStrategyData | ( |  | ) |
| inline

## ◆ ~PageStrategyData()

virtual Ogre::PageStrategyData::~PageStrategyData | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ load()

virtual bool Ogre::PageStrategyData::load | ( | StreamSerialiser & | stream | ) |
| pure virtual

Load this data from a stream (returns true if successful)

Implemented in Ogre::Grid2DPageStrategyData, and Ogre::Grid3DPageStrategyData.

## ◆ save()

virtual void Ogre::PageStrategyData::save | ( | StreamSerialiser & | stream | ) |
| pure virtual

Save this data to a stream.

Implemented in Ogre::Grid2DPageStrategyData, and Ogre::Grid3DPageStrategyData.

The documentation for this class was generated from the following file:

- OgrePageStrategy.h